#ifndef ISHOPITEM_H
#define ISHOPITEM_H

#include "shop_global.h"
#include <QDecDouble.hh>
#include <QString>
#include <enums.h>

class SHOPSHARED_EXPORT IShopItem
{

public:
    virtual int id() = 0;
    virtual QString name() = 0;
    virtual QDecDouble unitPrice() = 0;
    virtual Enums::VatType vatType() = 0;
    virtual QString pluginId() = 0;
};

#endif // ISHOPITEM_H
